#!/bin/sh

if [ !$TO_PROFILE ]; then
	echo "TO_PROFILE has not been defined, assuming TO_PROFILE = 0"
	export TO_PROFILE=0
fi

EGL_LIB_DIR=`ldconfig -p | grep libEGL | cut -f4 -d' ' | head -n 1`
GLES1_LIB_DIR=`ldconfig -p | grep libGLESv1_CM | cut -f4 -d' ' | head -n 1`
GLES2_LIB_DIR=`ldconfig -p | grep libGLESv2 | cut -f4 -d' ' | head -n 1`
GLES3_LIB_DIR=`ldconfig -p | grep libGLESv3 | cut -f4 -d' ' | head -n 1`

#Configure PVRTRace config file
cp $PVRHUB_DIR/PVRTrace/Recorder/_SKELETON_CONFIG.json $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json

if [ ! $EGL_LIB_DIR ]; then
	echo "
    OpenGL ES libraries not found!
    You will need to manually change the $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json file in order to point to the OpenGL ES drivers."
else	
	echo "
    OpenGL ES libraries found on the system!
    Changing the base configuration file..."

	sed -i "s,__EGL_PATH__,$EGL_LIB_DIR,g" $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
	sed -i "s,__ES1_PATH__,$GLES1_LIB_DIR,g" $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
	sed -i "s,__ES2_PATH__,$GLES2_LIB_DIR,g" $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
	sed -i "s,__ES3_PATH__,$GLES3_LIB_DIR,g" $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
	sed -i "s,__OUTPUT_FILE__,$PVRHUB_DIR/recordings/trace-%pname%pid.pvrt,g" $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
	sed -i "s,__PROFILING_ENABLED__,$TO_PROFILE,g" $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json

	echo "    PVRTrace config file has been updated:"
	sed -n "s,\"EglLibraryPath\":,        EglLibraryPath set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
	sed -n "s,\"Es1LibraryPath\":,        Es1LibraryPath set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
	sed -n "s,\"Es2LibraryPath\":,        Es2LibraryPath set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
fi

echo "
    NOTE: To edit the pvrtraceconfig.json just use a text editor of your choice"
